# C64Wifi

Firmware for NodeMCU based Commodore 64 wifi modems.

For history and details see:
* https://1200baud.wordpress.com/2017/03/04/build-your-own-9600-baud-c64-wifi-modem-for-20/
* https://github.com/RolandJuno/esp8266_modem
* https://github.com/jsalin/esp8266_modem

This code has been refactored to build in [PlatformIO](https://platformio.org/) but wouldn't be hard to roll back to the Arduino IDE. It's currently a bit of a mess as I break it down to manageable chunks for rewriting.

The pin definitions are all set to match the prototype modem on my desk that I'm messing about with and will eventually make a proper PCB for.

# TODO
* Startup in AP mode if no wifi connection configured or successful
* OTA firmware updates
* Nicer web configuration page
* Wifi signal strength display via LEDs